# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/sbin/cmake

# The command to remove a file.
RM = /usr/sbin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build

# Include any dependencies generated for this target.
include CMakeFiles/cyberqueer.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/cyberqueer.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/cyberqueer.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/cyberqueer.dir/flags.make

cyberqueer_autogen/timestamp: /usr/lib/qt6/moc
cyberqueer_autogen/timestamp: CMakeFiles/cyberqueer.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC for target cyberqueer"
	/usr/sbin/cmake -E cmake_autogen /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles/cyberqueer_autogen.dir/AutogenInfo.json Release
	/usr/sbin/cmake -E touch /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/cyberqueer_autogen/timestamp

CMakeFiles/cyberqueer.dir/codegen:
.PHONY : CMakeFiles/cyberqueer.dir/codegen

CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o: CMakeFiles/cyberqueer.dir/flags.make
CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o: cyberqueer_autogen/mocs_compilation.cpp
CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o: CMakeFiles/cyberqueer.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o -MF CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o -c /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/cyberqueer_autogen/mocs_compilation.cpp

CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.i"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/cyberqueer_autogen/mocs_compilation.cpp > CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.i

CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.s"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/cyberqueer_autogen/mocs_compilation.cpp -o CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.s

CMakeFiles/cyberqueer.dir/plugin.cpp.o: CMakeFiles/cyberqueer.dir/flags.make
CMakeFiles/cyberqueer.dir/plugin.cpp.o: /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/plugin.cpp
CMakeFiles/cyberqueer.dir/plugin.cpp.o: CMakeFiles/cyberqueer.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/cyberqueer.dir/plugin.cpp.o"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/cyberqueer.dir/plugin.cpp.o -MF CMakeFiles/cyberqueer.dir/plugin.cpp.o.d -o CMakeFiles/cyberqueer.dir/plugin.cpp.o -c /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/plugin.cpp

CMakeFiles/cyberqueer.dir/plugin.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/cyberqueer.dir/plugin.cpp.i"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/plugin.cpp > CMakeFiles/cyberqueer.dir/plugin.cpp.i

CMakeFiles/cyberqueer.dir/plugin.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/cyberqueer.dir/plugin.cpp.s"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/plugin.cpp -o CMakeFiles/cyberqueer.dir/plugin.cpp.s

CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o: CMakeFiles/cyberqueer.dir/flags.make
CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o: /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/CyberQueerStyle.cpp
CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o: CMakeFiles/cyberqueer.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o -MF CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o.d -o CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o -c /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/CyberQueerStyle.cpp

CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.i"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/CyberQueerStyle.cpp > CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.i

CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.s"
	/usr/sbin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/CyberQueerStyle.cpp -o CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.s

# Object files for target cyberqueer
cyberqueer_OBJECTS = \
"CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/cyberqueer.dir/plugin.cpp.o" \
"CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o"

# External object files for target cyberqueer
cyberqueer_EXTERNAL_OBJECTS =

libcyberqueer.so: CMakeFiles/cyberqueer.dir/cyberqueer_autogen/mocs_compilation.cpp.o
libcyberqueer.so: CMakeFiles/cyberqueer.dir/plugin.cpp.o
libcyberqueer.so: CMakeFiles/cyberqueer.dir/CyberQueerStyle.cpp.o
libcyberqueer.so: CMakeFiles/cyberqueer.dir/build.make
libcyberqueer.so: CMakeFiles/cyberqueer.dir/compiler_depend.ts
libcyberqueer.so: /usr/lib/libQt6Widgets.so.6.11.0
libcyberqueer.so: /usr/lib/libQt6Gui.so.6.11.0
libcyberqueer.so: /usr/lib/libGLX.so
libcyberqueer.so: /usr/lib/libOpenGL.so
libcyberqueer.so: /usr/lib/libQt6Core.so.6.11.0
libcyberqueer.so: CMakeFiles/cyberqueer.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Linking CXX shared module libcyberqueer.so"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/cyberqueer.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/cyberqueer.dir/build: libcyberqueer.so
.PHONY : CMakeFiles/cyberqueer.dir/build

CMakeFiles/cyberqueer.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/cyberqueer.dir/cmake_clean.cmake
.PHONY : CMakeFiles/cyberqueer.dir/clean

CMakeFiles/cyberqueer.dir/depend: cyberqueer_autogen/timestamp
	cd /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build /home/themiro/Dotfiles/qt-themes/cyberqueer/style-plugin/build/CMakeFiles/cyberqueer.dir/DependInfo.cmake "--color=$(COLOR)" cyberqueer
.PHONY : CMakeFiles/cyberqueer.dir/depend

